<mat-selection-list #shoes [multiple]="false" class="sidelist">
    <mat-list-option  routerLink="/Product/List">
     <a routerLinkActive="router-link-active" >Products</a> 
    </mat-list-option>
    <mat-list-option  routerLink="/Category/List">
     <a routerLinkActive="router-link-active" >Categories</a> 
    </mat-list-option>
    <mat-list-option  routerLink="/DietaryFlag/List">
     <a routerLinkActive="router-link-active" >DietaryFlags</a> 
    </mat-list-option>
  </mat-selection-list>
  